#ifndef SYSTICK_H
#define SYSTICK_H

#include "hal_data.h"



#define TICKS_PER_SECONDS 1000


extern volatile uint32_t g_tick_count;


void hal_systick_init(void);

void HAL_Delay(uint32_t Delay);

uint32_t HAL_GetTick(void);





#endif

